Rapid7 Vulnerability & Exploit Database

Moodle: (CVE-2016-0724): MSA-16-0001: Two enrolment-related web services don't check course visibility

Free InsightVM Trial No Credit Card Necessary
2024 Attack Intel Report Latest research by Rapid7 Labs
Back to Search

Moodle: (CVE-2016-0724): MSA-16-0001: Two enrolment-related web services don't check course visibility

Severity
4
CVSS
(AV:N/AC:L/Au:S/C:P/I:N/A:N)
Published
01/18/2016
Created
07/25/2018
Added
04/19/2017
Modified
01/12/2023

Description

The (1) core_enrol_get_course_enrolment_methods and (2) enrol_self_get_instance_info web services in Moodle through 2.6.11, 2.7.x before 2.7.12, 2.8.x before 2.8.10, 2.9.x before 2.9.4, and 3.0.x before 3.0.2 do not consider the moodle/course:viewhiddencourses capability, which allows remote authenticated users to obtain sensitive information via a web-service request.

Solution(s)

  • moodle-upgrade-latest

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;